> For the complete documentation index, see [llms.txt](https://docs.otherplanet.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.otherplanet.dev/scripts/op-garages-v3/tutorials/how-to-create-items.md).

# How to create items

{% hint style="warning" %}
If inventory which you use is not on this list - Create Items regarding to other items in your inventory script.
{% endhint %}

{% tabs %}
{% tab title="ox\_inventory" %}
File Location: ox\_inventory/data/items.lua

Image Should Be placed in: ox\_inventory/web/images

```lua
['fakeplate'] = {
	label = "Fake Plate",
	weight = 1500,
	client = {
		event = "op-garages:useFakePlate",
	}
},

['fakeplate_remover'] = {
	label = "Original Plate",
	weight = 1500,
	client = {
		event = "op-garages:removeFakePlate",
	}
},

['car_contract'] = {
	label = "Car Contract",
	weight = 1500,
	client = {
		event = "op-garages:carContractUse",
	}
},
```

{% endtab %}

{% tab title="qb-inventory" %}
File Location: qb-core/shared/items.lua

Image Should Be placed in: qb-inventory/html/images

```lua
fakeplate = {
    name = 'fakeplate',
    label = 'Fake Plate',
    weight = 1500,
    type = 'item',
    image = 'fakeplate.png',
    useable = true,
    shouldClose = true,
    description = 'A fake vehicle plate.',
    client = {
        event = "op-garages:useFakePlate"
    }
},

fakeplate_remover = {
    name = 'fakeplate_remover',
    label = 'Original Plate',
    weight = 1500,
    type = 'item',
    image = 'fakeplate_remover.png',
    useable = true,
    shouldClose = true,
    description = 'Used to restore the original vehicle plate.',
    client = {
        event = "op-garages:removeFakePlate"
    }
},

car_contract = {
    name = 'car_contract',
    label = 'Car Contract',
    weight = 1500,
    type = 'item',
    image = 'car_contract.png',
    useable = true,
    shouldClose = true,
    description = 'A contract for vehicle transactions.',
    client = {
        event = "op-garages:carContractUse"
    }
},
```

{% endtab %}

{% tab title="Basic ESX" %}

## This is MySql insert.

```sql
INSERT INTO `items` (`name`, `label`, `weight`, `rare`, `can_remove`) VALUES
("fakeplate", "Fake Plate", 1500, 0, 1),
("fakeplate_remover", "Original Plate", 1500, 0, 1),
("car_contract", "Car Contract", 1500, 0, 1);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.otherplanet.dev/scripts/op-garages-v3/tutorials/how-to-create-items.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
